autoscaling:
  enabled: true
  minReplicas: 1
  maxReplicas: 10
  targetCPUUtilizationPercentage: 50
  targetMemoryUtilizationPercentage: 50

nameOverride: "todo-app"
fullnameOverride: "todo-app"

ports:
  - containerPort: 80
    name: http
    protocol: TCP
    servicePort: 80

service:
  enabled: true
  type: NodePort

ingress:
  enabled: true
  className: "nginx"
  hosts:
    - host: todo-app.kmtcloud.com
      servicePort: 80
      paths:
        - path: "/"
          pathType: Prefix
  tls: []

resources:
  limits:
    memory: 256Mi
    cpu: 100m
  requests:
    cpu: 50m
    memory: 128Mi

rbac:
  enabled: false

livenessProbe:
  initialDelaySeconds: 10
  failureThreshold: 3
  periodSeconds: 10
  successThreshold: 1
  httpGet:
    path: /
    port: 80
  timeoutSeconds: 1

readinessProbe:
  initialDelaySeconds: 15
  failureThreshold: 3
  periodSeconds: 10
  successThreshold: 1
  httpGet:
    path: /
    port: 80
  timeoutSeconds: 1

affinity:
  podAntiAffinity:
    requiredDuringSchedulingIgnoredDuringExecution:
      - labelSelector:
          matchExpressions:
            - key: app.kubernetes.io/name
              operator: In
              values:
                - todo-app
        topologyKey: "kubernetes.io/hostname"
